Go to the latest version of this document.

# ``twisted`.`python`.`sendmsg``

module documentation
(source)

sendmsg(2) and recvmsg(2) support for Python.

Function | `getSocketFamily` | Return the family of the given socket.
Function | `recvmsg` | Receive a message on a socket.
Function | `sendmsg` | Send a message on a socket.
Variable | `ReceivedMessage` | Undocumented

def getSocketFamily(socket: `Socket`) -> `int`: (source)

Return the family of the given socket.

Parameters
socket:`Socket` | The socket to get the family of.

Returns
`int` | Undocumented

def recvmsg(socket: `Socket`, maxSize: `int` = 8192, cmsgSize: `int` = 4096, flags: `int` = 0) -> `ReceivedMessage`: (source)

Receive a message on a socket.

Parameters
socket:`Socket` | The socket to receive the message on.
maxSize:`int` | The maximum number of bytes to receive from the socket using the datagram or stream mechanism. The default maximum is 8192.
cmsgSize:`int` | The maximum number of bytes to receive from the socket outside of the normal datagram or stream mechanism. The default maximum is 4096.
flags:`int` | Flags to affect how the message is sent. See the `MSG_` constants in the sendmsg(2) manual page. By default no flags are set.

Returns
`ReceivedMessage` | A named 3-tuple of the bytes received using the datagram/stream mechanism, a `list` of `tuple`s giving ancillary received data, and flags as an `int` describing the data received.

def sendmsg(socket: `Socket`, data: `bytes`, ancillary: `list[tuple[int, int, bytes]]` = [], flags: `int` = 0) -> `int`: (source)

Send a message on a socket.

Parameters
socket:`Socket` | The socket to send the message on.
data:`bytes` | Bytes to write to the socket.
ancillary:`list[tuple[int, int, bytes]]` | Extra data to send over the socket outside of the normal datagram or stream mechanism. By default no ancillary data is sent.
flags:`int` | Flags to affect how the message is sent. See the `MSG_` constants in the sendmsg(2) manual page. By default no flags are set.

Returns
`int` | The return value of the underlying syscall, if it succeeds.

ReceivedMessage = (source)

Undocumented